import QtQuick 1.0

Item {
    id: root
    width: parent.width
    height: footer_div_1.sourceSize.height

    property int cell_width : (root.width - (footer_div_1.width * 2)) / 3
    property int activeIndex : 0

    signal pageItemClicked()

    Image { id: footer_div_1; source: "gfx/footer/footer-divider.png"; x: cell_width }
    Image { id: footer_div_2; source: "gfx/footer/footer-divider.png"; x: (cell_width * 2 + footer_div_1.sourceSize.width) }

    AppFooterElement {
        id: cell_1
        anchors.left: parent.left
        anchors.right: footer_div_1.left
        anchors.top: parent.top
        anchors.bottom: parent.bottom
        index: 0
        text: "INFORMACJE"
        onElementClicked: { root.pageItemClicked() }
    }

    AppFooterElement {
        id: cell_3
        anchors.left: footer_div_1.right
        anchors.right: footer_div_2.left
        anchors.top: parent.top
        anchors.bottom: parent.bottom
        index: 1
        text: "WIDEO"
        onElementClicked: { root.pageItemClicked() }
    }

    AppFooterElement {
        id: cell_4
        anchors.left: footer_div_2.right
        anchors.right: parent.right
        anchors.top: parent.top
        anchors.bottom: parent.bottom
        index: 2
        text: "FOTO"
        onElementClicked: { root.pageItemClicked() }
    }
}
