import QtQuick 1.0

Image {
    id: root

    property int index : -1
    property alias text : theText.text

    signal elementClicked(int index)

    source: (root.parent.activeIndex == index) ? "gfx/footer/footer-active_bg.png" : "gfx/footer/footer-inactive_bg.png"
    MouseArea { onClicked: { root.parent.activeIndex = index; root.elementClicked(root.index); } anchors.fill: parent }

    Text {
        id: theText
        anchors.fill: parent;
        elide: Text.ElideRight;
        horizontalAlignment: Text.AlignHCenter;
        verticalAlignment: Text.AlignVCenter;
        font.pixelSize: 13
        color: "white"
        font.weight: Font.DemiBold
    }
}
